
package com.sun.ts.tests.jsf.common.event;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesListener;
import javax.faces.event.SystemEvent;

public class TCKSystemEvent extends SystemEvent {

	public TCKSystemEvent(UIComponent component) {
	    super(component);
	}

	@Override
	public boolean isAppropriateListener(FacesListener listener) {
	    return false;
	}

	@Override
	public void processListener(FacesListener listener) {
	}
 }